This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 624296 - Incorrect first day of week in RU_UA locale
Incorrect first day of week in RU_UA locale
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
15
All Linux
low Severity low
: ---
: ---
Assigned To: Jeff Law
Fedora Extras Quality Assurance
: EasyFix, i18n, MoveUpstream
: 800325 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-15 15:37 EDT by wayfarer
Modified: 2012-03-26 09:46 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-10 01:02:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Correct ru_UA locale (with Monday as 1st day of week) (5.06 KB, application/octet-stream)
2010-08-15 15:37 EDT, wayfarer
no flags Details

  None (edit)
Description wayfarer 2010-08-15 15:37:07 EDT
Created attachment 438860 [details]
Correct ru_UA locale (with Monday as 1st day of week)

In Ukraine, we usually assume that week starts on Monday. But with ru_UA locale it's not the case and Sunday is a first day (whereas uk_UA is not affected).
It leads to incorrect week layout in calendar, that's really annoying when you don't look at day names and rely only on usual day positions.

The fix is extremely easy, just need to add 2 lines to locale file:

first_weekday 2
first_workday 2

(corrected file attached)

It's always a bit of pain to reapply this fix after each glibc update, so it would be nice to get this fixed.
Comment 1 Bug Zapper 2011-06-01 07:26:11 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jens Petersen 2011-06-02 01:31:05 EDT
Looks unchanged in F15.

Reporter, could you provide a patch instead?

It is probably also better to take this upstream.
Comment 3 Pravin Satpute 2011-06-02 01:38:31 EDT
Yeah, upstream bug will be very useful. If it get accepted in upstream life will be much easier :)
Comment 4 wayfarer 2011-06-06 17:48:02 EDT
It turns out, that upstream bug exists for years:

http://sources.redhat.com/bugzilla/show_bug.cgi?id=10346

Patch is also available there since 2009, but the status is WAITING (why?)
Comment 5 Fedora Admin XMLRPC Client 2011-11-14 14:45:31 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Jeff Law 2012-01-26 12:26:39 EST
The way to get this fixed upstream is to provide a reference to some kind of official documentation showing that the week should begin on Monday.  That's what I need to convince upstream glibc to fix this problem.
Comment 7 wayfarer 2012-01-26 17:00:47 EST
I have no idea what official documentation regulate week day numbers, but here is a wiki article where this fact is clearly stated:

http://en.wikipedia.org/wiki/Day_of_week#Days_numbered_from_Monday
Comment 8 Jeff Law 2012-01-26 21:21:07 EST
wiki pages aren't going to be considered official enough.   What you'd be looking for would be governmental documents.

Here's an example, obviously it doesn't apply because the Ukraine isn't part of the EU yet, but it shows a good example of what we're looking for:

http://eur-lex.europa.eu/LexUriServ/LexUriServ.do?uri=OJ:C:2004:78E:0447:0447:EN:PDF

http://dotat.at/tmp/ISO_8601-2004_E.pdf

BTW, if you come across any official documents on the abbreviation for hryvnya, that'd be appreciated :-)  I believe it's грн but haven't come across any official docs, so I  haven't been able to convince Uli to change it in glibc.
Comment 9 wayfarer 2012-01-29 14:14:28 EST
unfortunately it's not so trivial to find our official docs on the web. Still I'd like to mention that as stated in my original post, in uk_UA locale the first day of week is correctly set to Monday, the problem exists only in ru_UA locale. And language shouldn't actually play role in this case.

Anyway, I don't use neither this locale nor fedora anymore and thus won't search for official docs. 

Your abbreviation for hryvnya is correct, I can assure you it's 100% true, but again I have no legal regulation to prove it. 

Thanks for you effort, but if it's so much bureaucracy involved, maybe it's just not worth the time spent.
Comment 10 Jeff Law 2012-02-10 01:02:16 EST
I was reviewing the upstream bug and saw the author of the ru_UA locale ack'd the change, but it never got installed.  Given those facts, I'm going to go ahead and install the change into Fedora rawhide.
Comment 11 wayfarer 2012-02-10 16:57:20 EST
Thanks!
Comment 12 Jeff Law 2012-03-26 09:46:58 EDT
*** Bug 800325 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.